Skip to main content

Robot Resources

APIs for listing files associated with a robot and downloading them.


List Robot Resources

Returns all resource files (recordings, logs, uploads) associated with a robot.

Endpoint

GET /robots/{robotId}/resources

Request Headers

{
"authorization": "bearer <access_token>"
}

Path Parameters

  • robotId (string): The unique identifier of the robot.

Response Fields

FieldTypeDescription
resourceIdstringUnique identifier of the resource file
namestringFile name
typestringMIME type (e.g., video/mp4)
sizelongFile size in bytes
createdAtdatetimeUpload timestamp (UTC)

Response Example

{
"resources": [
{
"resourceId": "67a71b1e-f035-45b3-805e-4f1b62f3c54b",
"name": "rtsp_2026-07-05__10-47-23.mp4",
"type": "video/mp4",
"size": 3258387,
"createdAt": "2026-07-06T10:13:33.291Z"
},
{
"resourceId": "eec7c89d-0afd-4ee7-8b0b-74f4c945fd90",
"name": "video0_device_2026-07-06__13-12-38.mp4",
"type": "video/mp4",
"size": 22518592,
"createdAt": "2026-07-06T10:14:44.511Z"
}
]
}

Get Resource Download URL

Generates a pre-signed URL to download a specific resource file.

Endpoint

GET /robots/{robotId}/resource/{resourceId}/download

Request Headers

{
"authorization": "bearer <access_token>"
}

Path Parameters

  • robotId (string): The unique identifier of the robot.
  • resourceId (string): The unique identifier of the resource. Use the resourceId from List Robot Resources.

Response Example

{
"url": "https://objectstorage.eu-frankfurt-1.oraclecloud.com/p/<token>/n/<namespace>/b/<bucket>/o/<resourceId>?httpResponseContentDisposition=attachment%3B+filename%3D<filename>"
}

Error Responses

StatusDescription
404 Not FoundThe resource was not found or a download URL could not be generated.